## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

#Versioning for scribus
#%%global versioning 1.5.3.svn/
Name:		scribus-generator
Version:	4.0
Release:	%autorelease
Summary:	Open source high-quality PDF template and mail-merge alternative

License:	MIT
URL:		https://github.com/berteh/ScribusGenerator

Source0:	https://github.com/berteh/ScribusGenerator/archive/%{version}.tar.gz#/ScribusGenerator-%{version}.tar.gz
Source1:	%{name}.metainfo.xml

BuildRequires:	libappstream-glib
BuildRequires:	pkgconfig(python3)
Requires:	python3-tkinter
Requires:	scribus

BuildArch:	noarch

%description
Mail-Merge-like extension to Scribus, to generate Scribus and 
PDF documents automatically from external data.

%prep
%autosetup -n ScribusGenerator-%{version}

# Fix all Python shebangs recursively in .
%py3_shebang_fix .

%build
#Nothing to builds

%install
install -Dpm 0644 *.{py,conf} -t %{buildroot}%{_datadir}/scribus/scripts/
chmod +x %{buildroot}%{_datadir}/scribus/scripts/*.py
cp -r {example,pic} %{buildroot}%{_datadir}/scribus/scripts/


# Add AppStream metadata
install -Dm 0644 -p %{SOURCE1} \
	%{buildroot}%{_metainfodir}/%{name}.metainfo.xml

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{name}.metainfo.xml

%files
%license LICENSE
%doc README.md
%{_datadir}/scribus/scripts/*
#AppStream metadata
%{_metainfodir}/%{name}.metainfo.xml


%changelog
## START: Generated by rpmautospec
* Sun Apr 21 2024 Luya Tshimbalanga <luya@fedoraproject.org> - 4.0-1
- New release for EPEL9
## END: Generated by rpmautospec
